Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.chart
Enum OdfLabelArrangementType

    java.lang.Object
      java.lang.Enum<OdfLabelArrangementType>
          org.odftoolkit.odfdom.dom.type.chart.OdfLabelArrangementType

All Implemented Interfaces:
  Serializable, Comparable<OdfLabelArrangementType>

    public enum OdfLabelArrangementType

extends Enum<OdfLabelArrangementType>

DOM implementation of OpenDocument attribute chart:label-arrangement.

Enum Constant Summary
`SIDE_BY_SIDE`
`STAGGER_EVEN`
`STAGGER_ODD`

Method Summary
`static OdfLabelArrangementType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfLabelArrangementType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfLabelArrangementType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfLabelArrangementType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STAGGER_EVEN

    public static final OdfLabelArrangementType STAGGER_EVEN

### STAGGER_ODD

    public static final OdfLabelArrangementType STAGGER_ODD

### SIDE_BY_SIDE

    public static final OdfLabelArrangementType SIDE_BY_SIDE

Method Detail

### values

    public static OdfLabelArrangementType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfLabelArrangementType c : OdfLabelArrangementType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfLabelArrangementType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfLabelArrangementType>`
  Returns:
    return the name of OdfLabelArrangementType

### toString

    public static String toString(OdfLabelArrangementType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfLabelArrangementType, see chart:label-arrangement
  Returns:
    return the name of OdfLabelArrangementType

### enumValueOf

    public static OdfLabelArrangementType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfLabelArrangementType
  Returns:
    return the constant of OdfLabelArrangementType, see chart:label-arrangement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.